<%@ Page language="C#" debug="true" %>
<%@ Import Namespace="System.Xml" %>
<%@ Import Namespace="System.Xml.XPath" %>
<SCRIPT runat='server'>

  private void btnQuery_Click(System.Object sender, System.EventArgs e)
  {
    XmlDocument xd = new XmlDocument();
    XmlNodeList nl;

    xd.Load(Server.MapPath("books.xml"));
    txtOutput.Text = "";
    
    nl = xd.SelectNodes(txtXPath.Text);

    foreach(XmlNode nd in nl)
    {
      txtOutput.Text += nd.OuterXml;
    }
  }

</SCRIPT>
<HTML>
	<HEAD>
		<title>ASP.NET XPath</title>
	</HEAD>
	<body>
		<form runat="server">
			XPath Expression:<br>
			<asp:TextBox id="txtXPath" Text="BOOKS/BOOK/AUTHOR" TextMode="MultiLine" Rows="3" Width="200" runat="server" />
			<asp:Button id="btnQuery" OnClick="btnQuery_Click" Text="Query" Runat="server" /><br>
			<asp:TextBox id="txtOutput" TextMode="MultiLine" Rows="15" Width="400" runat="server" />
		</form>
	</body>
</HTML>
